<?php

class cCuentapagada{	

	

	function filtro()

	{

		// $sql="SELECT cp.tb_comprapago_fecven,c.tb_compra_numdoc, e.tb_egreso_diamora, e.tb_egreso_fec , e.tb_egreso_id

		// from tb_compra c        

		// INNER JOIN tb_comprapago cp on c.tb_compra_id = cp.tb_compra_id

		// INNER JOIN tb_egreso e on e.tb_egreso_modide = cp.tb_comprapago_id

		// WHERE c.tb_compra_xac=1

		// AND cp.tb_comprapago_xac = 1 and cp.tb_comprapago_est = 1 and e.tb_egreso_xac = 1

        // AND e.tb_egreso_modo = 2  ";	

		

		

		// $sql="SELECT cp.tb_comprapago_fecven,c.tb_compra_numdoc, c.tb_compra_fec, cp.tb_comprapago_id

		// from tb_compra c        

		// INNER JOIN tb_comprapago cp on c.tb_compra_id = cp.tb_compra_id

		// WHERE c.tb_compra_xac=1

		// AND cp.tb_comprapago_xac = 1 and cp.tb_comprapago_est = 2

        // AND cp.tb_comprapago_fecven = '0000-00-00'  ";	

		

		$sql="SELECT cp.tb_banco_id as 'banid',c.tb_moneda_id as 'mon',c.*,e.*,cp.*,p.*,emp.*,d.*,pc.*

		from tb_compra c

		INNER JOIN tb_empresa emp on c.tb_empresa_id = emp.tb_empresa_id

		INNER JOIN tb_documento d on c.tb_documento_id = d.tb_documento_id 

		INNER JOIN tb_proveedor p on c.tb_proveedor_id = p.tb_proveedor_id         

		INNER JOIN tb_comprapago cp on c.tb_compra_id = cp.tb_compra_id

		INNER JOIN tb_egreso e on e.tb_egreso_modide = cp.tb_comprapago_id

		left JOIN tb_proveedorcuenta pc ON pc.tb_proveedorcuenta_id=e.tb_egreso_cuepprov

		WHERE c.tb_compra_xac=1

		AND cp.tb_comprapago_xac = 1 and cp.tb_comprapago_est = 1 and e.tb_egreso_xac = 1  AND cp.tb_comprapago_con IN(1,2)

		and cp.tb_banco_id = '1' ";	



		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

}





	function cuentas_pagada_reporte($pro_id,$emp_id,$tip,$por,$fecope,$fecven,$ord,$con)

	{

		$sql="SELECT cp.tb_banco_id as 'banid',c.tb_moneda_id as 'mon',c.*,e.*,cp.*,p.*,emp.*,d.*,pc.*

		from tb_compra c

		INNER JOIN tb_empresa emp on c.tb_empresa_id = emp.tb_empresa_id

		INNER JOIN tb_documento d on c.tb_documento_id = d.tb_documento_id 

		INNER JOIN tb_proveedor p on c.tb_proveedor_id = p.tb_proveedor_id         

		INNER JOIN tb_comprapago cp on c.tb_compra_id = cp.tb_compra_id

		INNER JOIN tb_egreso e on e.tb_egreso_modide = cp.tb_comprapago_id

		left JOIN tb_proveedorcuenta pc ON pc.tb_proveedorcuenta_id=e.tb_egreso_cuepprov

		WHERE c.tb_compra_xac=1

		AND cp.tb_comprapago_xac = 1 and cp.tb_comprapago_est = 1 and e.tb_egreso_xac = 1 ";

		

		if($pro_id!="") $sql.="  AND c.tb_proveedor_id = '$pro_id' ";

		if($emp_id!="") $sql.="  AND c.tb_empresa_id = '$emp_id' ";

		

		if($tip==1){

			//$sql.="   AND c.tb_documento_id != '22' ";	

			$sql.="   AND cp.tb_comprapago_con IN(3) ";			

		}else if($tip==2){

			//$sql.="   AND c.tb_documento_id = '22' ";

			$sql.="   AND cp.tb_comprapago_con IN(1,2)";

				

			

		}	



			if($por==1){

				$sql.="   AND e.tb_egreso_fec = '$fecope' ";	

			}else if($por==2){

				$sql.="   AND cp.tb_comprapago_fecven = '$fecven' ";	

			}

		

		

		if($por==1){

			

			if($ord==1){

			$sql.="  order by e.tb_egreso_fec asc  ";

			}else if($ord==2){

			$sql.="  order by e.tb_egreso_fec desc  ";

			}	

			

		}else if($por==2){

			if($ord==1){

			$sql.="  order by cp.tb_comprapago_fecven asc  ";

			}else if($ord==2){

			$sql.="  order by cp.tb_comprapago_fecven desc  ";

			}	

		}		



		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

}



function cuentas_pagada_reporte_agru($pro_id,$emp_id,$tip,$por,$fec1,$fec2,$ord)

	{

		$sql="SELECT SUM(CASE WHEN c.tb_moneda_id = 1 THEN e.tb_egreso_val ELSE 0 END) 'soles',

		SUM(CASE WHEN c.tb_moneda_id = 2 THEN e.tb_egreso_val ELSE 0 END) 'dolares' ,

		e.tb_egreso_fec as 'fecha',cp.tb_comprapago_fecven as 'fechaven', cp.tb_comprapago_con as 'con' from tb_compra c

		INNER JOIN tb_comprapago cp on c.tb_compra_id = cp.tb_compra_id

		INNER JOIN tb_egreso e on e.tb_egreso_modide = cp.tb_comprapago_id

		WHERE c.tb_compra_xac=1

		AND cp.tb_comprapago_xac = 1 and cp.tb_comprapago_est = 1 and e.tb_egreso_xac = 1  ";

		

		if($pro_id!="") $sql.="  AND c.tb_proveedor_id = '$pro_id' ";

		if($emp_id!="") $sql.="  AND c.tb_empresa_id = '$emp_id' ";

		

		if($tip==1){

			//$sql.="   AND c.tb_documento_id != '22' ";

			$sql.="   AND cp.tb_comprapago_con IN(3)";

		}else if($tip==2){

			//$sql.="   AND c.tb_documento_id = '22' ";

			$sql.="   AND cp.tb_comprapago_con IN(1,2)";

		}	



		if($por==1){

			$sql.="   AND e.tb_egreso_fec BETWEEN '$fec1' AND '$fec2' ";

		}else if($por==2){

			$sql.="   AND cp.tb_comprapago_fecven BETWEEN '$fec1' AND '$fec2' ";

		}	

		

		if($por==1){

			

			if($ord==1){

			$sql.="  group by e.tb_egreso_fec  ";

			$sql.="  order by e.tb_egreso_fec asc ";

			}else if($ord==2){

			$sql.="  group by e.tb_egreso_fec  ";

			$sql.="  order by e.tb_egreso_fec desc ";

			}	

			

		}else if($por==2){

			if($ord==1){

				$sql.="  group by cp.tb_comprapago_fecven  ";

				$sql.="  order by cp.tb_comprapago_fecven asc  ";

			}else if($ord==2){

				$sql.="  group by cp.tb_comprapago_fecven  ";

				$sql.="  order by cp.tb_comprapago_fecven desc  ";

			}	

		}

		

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

}

}

?>